Get a list of sports

GET
/sports/
apiKey<token>

Your API key

In: query

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.sportsgameodds.com/v2/sports/"
{
  "success": true,
  "data": [
    {
      "sportID": "BASEBALL",
      "enabled": true,
      "hasMeaningfulHomeAway": true,
      "name": "Baseball",
      "shortName": "Baseball",
      "pointWord": {
        "short": {
          "singular": "run",
          "plural": "runs"
        },
        "long": {
          "singular": "run",
          "plural": "runs"
        }
      },
      "eventWord": {
        "short": {
          "singular": "game",
          "plural": "games"
        },
        "long": {
          "singular": "game",
          "plural": "games"
        }
      },
      "defaultPopularityScore": 7,
      "clockType": "NO_CLOCK",
      "basePeriods": [
        "1i",
        "2i",
        "3i",
        "4i",
        "5i",
        "6i",
        "7i",
        "8i",
        "9i"
      ],
      "extraPeriods": [
        "ot"
      ],
      "defaultTeamType": "DEFAULT"
    }
  ]
}
{
  "error": "An error message",
  "success": false
}
{
  "error": "An error message",
  "success": false
}
{
  "error": "An error message",
  "success": false
}